Index: ThirdParty/levmar/Makefile.am
===================================================================
--- ThirdParty/levmar/Makefile.am	(revision 206fa9917f499bff39c8fb4b1f20534356a16d39)
+++ ThirdParty/levmar/Makefile.am	(revision c129d211546e1a55db91dc032790767374adf257)
@@ -1,3 +1,3 @@
-SUBDIRS = src tests
+SUBDIRS = src
 
 EXTRA_DIST = \
Index: ThirdParty/levmar/configure.ac
===================================================================
--- ThirdParty/levmar/configure.ac	(revision 206fa9917f499bff39c8fb4b1f20534356a16d39)
+++ ThirdParty/levmar/configure.ac	(revision c129d211546e1a55db91dc032790767374adf257)
@@ -12,5 +12,5 @@
 # color-tests: us coloring to indicate success/failure when available
 # tar-pax: use newer tar implementation with longer filename (>99 chars)
-AM_INIT_AUTOMAKE([dist-bzip2 1.5 parallel-tests color-tests tar-pax subdir-objects])
+AM_INIT_AUTOMAKE([dist-bzip2 1.5 tar-pax subdir-objects])
 
 # Checks for programs.
@@ -44,14 +44,8 @@
 
 # create output files
-AC_CONFIG_TESTDIR([tests])
 AC_CONFIG_FILES([
 	Makefile
 	src/Makefile
-	tests/Makefile
 ])
-AC_CONFIG_FILES([tests/lmdemo], [chmod +x tests/lmdemo])
-AC_CONFIG_FILES(
-	tests/atlocal
-)
 AC_CONFIG_FILES([levmar.pc:levmar.pc.in])
 
Index: irdParty/levmar/tests/Makefile.am
===================================================================
--- ThirdParty/levmar/tests/Makefile.am	(revision 206fa9917f499bff39c8fb4b1f20534356a16d39)
+++ 	(revision )
@@ -1,66 +1,0 @@
-AUTOM4TE = $(SHELL) $(top_srcdir)/build-aux/missing --run autom4te
-
-TESTSUITE = $(srcdir)/testsuite
-
-EXTRA_DIST = \
-	testsuite.at \
-	$(TESTSUITE) \
-	$(TESTSCRIPTS) \
-	atlocal.in \
-	lmdemo.in \
-	package.m4
-
-DISTCLEANFILES = atconfig
-
-TESTSCRIPTS =
-
-# PLEASE adhere to alphabetical ordering of TESTSCRIPTS
-
-TESTSCRIPTS += \
-	$(srcdir)/testsuite-lmdemo.at
-
-
-max_jobs = 4
-
-check-local: atconfig atlocal $(TESTSUITE)
-	nrjobs=; \
-	for flag in $$MAKEFLAGS; do \
-		case $$flag in \
-		--* | =*=) ;; \
-		*j*) nrjobs="-j$(max_jobs)" ;; \
-		esac; \
-	done; \
-	$(SHELL) '$(TESTSUITE)' $$nrjobs AUTOTEST_PATH='$(abs_top_builddir)/src' $(TESTSUITEFLAGS)
-
-installcheck-local: atconfig atlocal lmdemo $(TESTSUITE)
-	nrjobs=; \
-	for flag in $$MAKEFLAGS; do \
-		case $$flag in \
-		--* | =*=) ;; \
-		*j*) nrjobs="-j$(max_jobs)" ;; \
-		esac; \
-	done; \
-	$(SHELL) '$(TESTSUITE)' $$nrjobs AUTOTEST_PATH='$(bindir)' $(TESTSUITEFLAGS)
-
-clean-local:
-	test ! -f '$(TESTSUITE)' || \
-	$(SHELL) '$(TESTSUITE)' --clean
-
-AUTOTEST = $(AUTOM4TE) --language=autotest
-# testsuite must not depend on atlocal or atconfig as otherwise distcheck does
-# not work (wants to regenerate testsuite from testsuite.at in srcdir, which is
-# read-only)
-$(TESTSUITE): $(srcdir)/testsuite.at package.m4 $(TESTSCRIPTS)
-	$(AUTOTEST) -I '$(srcdir)' -o $@.tmp $@.at
-	mv $@.tmp $@
-
-# The `:;' works around a Bash 3.2 bug when the output is not writeable.
-package.m4: $(top_srcdir)/configure.ac
-	:;{ \
-		echo '# Signature of the current package.' && \
-		echo 'm4_define([AT_PACKAGE_NAME],      [@PACKAGE_NAME@])' && \
-		echo 'm4_define([AT_PACKAGE_TARNAME],   [@PACKAGE_TARNAME@])' && \
-		echo 'm4_define([AT_PACKAGE_VERSION],   [@PACKAGE_VERSION@])' && \
-		echo 'm4_define([AT_PACKAGE_STRING],    [@PACKAGE_STRING@])' && \
-		echo 'm4_define([AT_PACKAGE_BUGREPORT], [@PACKAGE_BUGREPORT@])'; \
-	} >'package.m4'
Index: irdParty/levmar/tests/atlocal.in
===================================================================
--- ThirdParty/levmar/tests/atlocal.in	(revision 206fa9917f499bff39c8fb4b1f20534356a16d39)
+++ 	(revision )
@@ -1,6 +1,0 @@
-prefix='@prefix@'
-exec_prefix='@prefix@'
-topdir='@abs_top_builddir@'
-bindir='@bindir@'
-valgrind='@VALGRIND@'
-
Index: irdParty/levmar/tests/lmdemo.in
===================================================================
--- ThirdParty/levmar/tests/lmdemo.in	(revision 206fa9917f499bff39c8fb4b1f20534356a16d39)
+++ 	(revision )
@@ -1,13 +1,0 @@
-#!/bin/sh
-#
-# wrapper for testing molecuilder
-
-. ../../atlocal
-
-"${AUTOTEST_PATH}/lmdemo" \
-${1+"$@"}
-
-status=$?
-
-exit $status
-
Index: irdParty/levmar/tests/testsuite-lmdemo.at
===================================================================
--- ThirdParty/levmar/tests/testsuite-lmdemo.at	(revision 206fa9917f499bff39c8fb4b1f20534356a16d39)
+++ 	(revision )
@@ -1,27 +1,0 @@
-#
-#    MoleCuilder - creates and alters molecular systems
-#    Copyright (C) 2017 Frederik Heber
-#
-#    This program is free software: you can redistribute it and/or modify
-#    it under the terms of the GNU General Public License as published by
-#    the Free Software Foundation, either version 3 of the License, or
-#    (at your option) any later version.
-#
-#    This program is distributed in the hope that it will be useful,
-#    but WITHOUT ANY WARRANTY; without even the implied warranty of
-#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-#    GNU General Public License for more details.
-#
-#    You should have received a copy of the GNU General Public License
-#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
-#
-### calling lmdemo
-
-AT_SETUP([LevMar demo])
-AT_KEYWORDS([lmdemo])
-
-# simple call
-AT_CHECK([../../lmdemo], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
Index: irdParty/levmar/tests/testsuite.at
===================================================================
--- ThirdParty/levmar/tests/testsuite.at	(revision 206fa9917f499bff39c8fb4b1f20534356a16d39)
+++ 	(revision )
@@ -1,31 +1,0 @@
-#
-#    MoleCuilder - creates and alters molecular systems
-#    Copyright (C) 2017 Frederik Heber
-#
-#    This program is free software: you can redistribute it and/or modify
-#    it under the terms of the GNU General Public License as published by
-#    the Free Software Foundation, either version 3 of the License, or
-#    (at your option) any later version.
-#
-#    This program is distributed in the hope that it will be useful,
-#    but WITHOUT ANY WARRANTY; without even the implied warranty of
-#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-#    GNU General Public License for more details.
-#
-#    You should have received a copy of the GNU General Public License
-#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
-#
-# Process with autom4te to create an -*- Autotest -*- test suite.
-#
-# NOTE: This tests suite depends strongly on the original levmar package.
-# It basically only converts it to using autotest, it does not (so far)
-# add any new tests.
-
-AT_INIT([LevMar])
-AT_TESTED()
-
-# Use colored output with new-enough Autotest.
-m4_ifdef([AT_COLOR_TESTS], [AT_COLOR_TESTS])
-
-m4_include(testsuite-lmdemo.at)
-
